package com.mogo.cloud.tanlu.bean;


/**
 * @author lixiaopeng
 * @description 上报入参
 * @since 2021/1/20
 */
public class UploadInfo {

//    private List<String> filePath; //文件路径
    private String filePath; //文件路径

//    String TYPE_TRAFFIC_CHECK = "10002"; //交通检查
//    String TYPE_CLOSURE = "10003"; //封路
//    String TYPE_ROAD_CONSTRUCTION = "10006";//道路施工
//    String TYPE_BLOCK = "10007"; //拥堵
//    String TYPE_STAGNANT_WATER = "10008";//道路积水
//    String TYPE_DENSE_FOG = "10010"; //浓雾
//    String TYPE_ROAD_ICY = "10011"; //道路结冰
//    String TYPE_ACCIDENT = "10013"; //事故
//    String TYPE_REAL_TIME_TRAFFIC = "10015"; //实时路况
    private String poiType; //事件类型

//    String UPLOAD_FROM_VOICE = "1"; //用户语音上报
//    String UPLOAD_FROM_USER = "2"; //用户手点上报
//    String UPLOAD_FROM_STRATEGY_BLOCK_AUTO = "3"; //数据策略：拥堵自动上报
//    String UPLOAD_FROM_STRATEGY_CLOUD_CHECK = "4"; //数据策略：已有事件云端校验
//    String UPLOAD_FROM_STRATEGY_ACCIDENT_AUTO = "5"; //数据策略：交通事故上报
//    String UPLOAD_FROM_STRATEGY_UGC = "6"; //数据策略:UGC上报
    private String fromType; //事件来源

    private long mainInfoId; //触发点的事件id，辅助上报，可不传
    private double longitude; //经度 1
    private double latitude; //纬度 1
    private float direction; //方向，车头角度 1
    private String provinceName;
    private String street;
    private float speed; //速度
    private String addr; //1
    private String areaCode; //1
    private String areaName;
    private String cityCode; //1
    private String cityName;
    private long generateTime;
    private String sn; //1
    private int type; //图片0,视频1
    private int uid; //用户id，
    private int infoType; //主被动
    private int infoTimeout; //过期事件
    private boolean isShare; // 是否分享给附近车机

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    //    public List<String> getFilePath() {
//        return filePath;
//    }
//
//    public void setFilePath(List<String> filePath) {
//        this.filePath = filePath;
//    }

    public String getPoiType() {
        return poiType;
    }

    public void setPoiType(String poiType) {
        this.poiType = poiType;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public long getMainInfoId() {
        return mainInfoId;
    }

    public void setMainInfoId(long mainInfoId) {
        this.mainInfoId = mainInfoId;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public float getDirection() {
        return direction;
    }

    public void setDirection(float direction) {
        this.direction = direction;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public float getSpeed() {
        return speed;
    }

    public void setSpeed(float speed) {
        this.speed = speed;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public long getGenerateTime() {
        return generateTime;
    }

    public void setGenerateTime(long generateTime) {
        this.generateTime = generateTime;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getUid() {
        return uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    public int getInfoType() {
        return infoType;
    }

    public void setInfoType(int infoType) {
        this.infoType = infoType;
    }

    public int getInfoTimeout() {
        return infoTimeout;
    }

    public void setInfoTimeout(int infoTimeout) {
        this.infoTimeout = infoTimeout;
    }

    public boolean isShare() {
        return isShare;
    }

    public void setShare(boolean share) {
        isShare = share;
    }

    @Override
    public String toString() {
        return "UploadInfo{" +
                "filePath='" + filePath + '\'' +
                ", poiType='" + poiType + '\'' +
                ", fromType='" + fromType + '\'' +
                ", mainInfoId=" + mainInfoId +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", direction=" + direction +
                ", provinceName='" + provinceName + '\'' +
                ", street='" + street + '\'' +
                ", speed=" + speed +
                ", addr='" + addr + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", areaName='" + areaName + '\'' +
                ", cityCode='" + cityCode + '\'' +
                ", cityName='" + cityName + '\'' +
                ", generateTime=" + generateTime +
                ", sn='" + sn + '\'' +
                ", type=" + type +
                ", uid=" + uid +
                ", infoType=" + infoType +
                ", infoTimeout=" + infoTimeout +
                ", isShare=" + isShare +
                '}';
    }
}
